@media only screen and (min-width : 1600px) {
body {
    font-family: 'Arial', sans-serif;
    margin: 0;
    padding: 0;
}

.container {
    display: flex;
}

h1 {
    border-bottom: 2px solid #333;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    padding-bottom: 10px;
    margin-left: 15px;
}


/* Filtres */

aside {
    background-color: #f5f5f5;
    width: 260px;
}

#h2_filtre{
    margin-bottom : 10px; 
    margin-left : 20px;
}

#filtres{
    height: 82vh;
    padding: 20px;
    padding-top: 0px;
    overflow-y: auto;
    scrollbar-width: none;
}

#filtres h3{
    margin-bottom: 5px;
}

.range-values {
    position: relative;
    height: 35px;
}

.range-values p{
    margin: 0;
    padding: 0;
}
.range-values p.max{
    position: absolute;
    top: 20px;
    right: 0;
}
.range-values p.min{
    position: absolute;
    top: 20px;
    left: 0;
}
.range-values p.current {
    position: absolute;
    top: 0px;

}

/* Fin filtres */

/* Cartes */
#imprimantesContainer {
    display: block;
    width: 100%; 
    text-align: center;
    padding-top: 10px;
    height: 82vh;
    overflow-y: auto;
}

.imprimante-card {
    display: inline-block;
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 0 10px rgba(0, 0, 0, 1);
    height: 250px;
    width: 160px;
    text-align: center;
    margin: 5px;
    transition: transform 0.3s ease-in-out;
}

.imprimante-card:hover {
    cursor: pointer;
    transform: scale(1.05);
    box-shadow: 0 0 10px rgb(0, 17, 255);
}

.image_imprimante {
    height: 150px;
    transition: transform 0.3s ease-in-out;
}

.imprimante-card:hover .image_imprimante {
    transform: scale(1.1);
}

.imprimante-card h3{
    margin-bottom: 0;
}
.imprimante-card p{
    margin-top: 0;
}

.imprimante-card a{
    color: black;
    text-decoration: none;
}

.imprimante-card a:hover {
    text-decoration: underline;
    color: rgb(0, 17, 255);
}



/* Modale */
  .overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    display: none;
    z-index: 1000;
  }

  .modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0.8);
    max-height: 80%;
    background: #fff;
    border: 1px solid #ddd;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
    padding: 30px;
    z-index: 1001;
    display: none;
    justify-content: space-between;
    width: 80%;
    margin: auto;   
    transition: transform 0.3s ease-in-out;
  }

.modal.active {
    transform: translate(-50%, -50%) scale(1);
}
.column {
    flex: 1;
    padding: 10px;
    font-size: 23px;
    margin-left: 11%;
}

.column p{
    margin-top: 4px;
    margin-bottom: 4px;
}

.image_imprimante_modale {
    max-width: 100%;
    height: auto;
}

  #close-button {
    position: absolute;
    right: -17px;
    top: -14px;
    font-size: 25px;
    cursor: pointer;
  }
  /* Fin Modale */

  #FiltreButton{
    display: none;
  }
}